zabbix_export:
  version: '5.4'
  date: '2021-07-19T23:26:52Z'
  groups:
    -
      uuid: a571c0d144b14fd4a87a9d9b2aa9fcd6
      name: Templates/Applications
  templates:
    -
      uuid: b30f9b4d013840f286b4ce501b3f6a09
      template: 'Template VM VMware Guest - BUG'
      name: 'Template VM VMware Guest - BUG'
      description: 'Template tooling version used: 0.38'
      templates:
        -
          name: 'Template VM VMware macros'
      groups:
        -
          name: Templates/Applications
      items:
        -
          uuid: ccc616fa4a464d42b68afd2c5d630549
          name: 'Always 1 (for grpsum aggregate item)'
          type: CALCULATED
          key: always.one
          params: '1'
        -
          uuid: dd577fd6f8aa4a018bf08d346389e296
          name: 'VMware: CPU usage (%) (divide by 100)'
          type: DEPENDENT
          key: cpu.usage.percent
          delay: '0'
          history: 7d
          value_type: FLOAT
          units: '%'
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '0.01'
          master_item:
            key: 'vmware.vm.perfcounter[{$VMWARE.URL},{HOST.HOST},"cpu/usage[average]"]'
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware CPU'
          triggers:
            -
              uuid: f209e7f8e00a4267a072749abfb95b4c
              expression: 'avg(/Template VM VMware Guest - BUG/cpu.usage.percent,10m)>{$MEMORY.UTIL.MAJ}'
              name: 'VMware: High CPU utilization (over {$CPU.UTIL.MAJ}% for 10m) on {HOST.NAME}'
              opdata: 'Current utilization: {ITEM.LASTVALUE1}'
              priority: WARNING
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
              dependencies:
                -
                  name: 'VMware: Very high CPU utilization (over {$CPU.UTIL.CRIT}% for 10m) on {HOST.NAME}'
                  expression: 'avg(/Template VM VMware Guest - BUG/cpu.usage.percent,10m)>{$MEMORY.UTIL.CRIT}'
            -
              uuid: 70b2ab5d1ffc425fb6ac4ac030c7a160
              expression: 'avg(/Template VM VMware Guest - BUG/cpu.usage.percent,10m)>90'
              name: 'VMware: Very high CPU utilization (over 90% for 10m) on {HOST.NAME} (TESTING TAGS)'
              opdata: 'Current utilization: {ITEM.LASTVALUE1}'
              status: DISABLED
              priority: HIGH
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
              tags:
                -
                  tag: MAINT
                  value: 'True'
            -
              uuid: 5db152c96fe0417f9f8170fe2f2a7511
              expression: 'avg(/Template VM VMware Guest - BUG/cpu.usage.percent,10m)>{$MEMORY.UTIL.CRIT}'
              name: 'VMware: Very high CPU utilization (over {$CPU.UTIL.CRIT}% for 10m) on {HOST.NAME}'
              opdata: 'Current utilization: {ITEM.LASTVALUE1}'
              priority: HIGH
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
        -
          uuid: 9bc47a7f930742658c24c5ec5890f339
          name: 'VMware: Guest memory usage (%)'
          type: CALCULATED
          key: memory.usage.percent
          history: 7d
          params: 'last(//vmware.vm.memory.size.usage.guest[{$VMWARE.URL},{HOST.HOST}])/last(//vmware.vm.memory.size[{$VMWARE.URL},{HOST.HOST}])*100'
          description: 'The amount of guest physical memory that is being used by the VM.'
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware Memory'
          triggers:
            -
              uuid: 9f6f16c4a04d4dbcbf19183295ff3041
              expression: 'avg(/Template VM VMware Guest - BUG/memory.usage.percent,1h)=100'
              name: 'Memory counter problem: {HOST.NAME} memory usage has been 100% for 1hrs'
              status: DISABLED
              priority: INFO
            -
              uuid: 9856492a7a304900bf2da501a87ee917
              expression: 'avg(/Template VM VMware Guest - BUG/memory.usage.percent,10m)>{$MEMORY.UTIL.MAJ}'
              name: 'VMware: High memory utilization ( >{$MEMORY.UTIL.MAJ}% for 10m) on {HOST.NAME}'
              opdata: 'Current utilization: {ITEM.LASTVALUE1}'
              priority: AVERAGE
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
              dependencies:
                -
                  name: 'VMware: Very high memory utilization (over {$MEMORY.UTIL.CRIT}% for 10m) on {HOST.NAME}'
                  expression: 'min(/Template VM VMware Guest - BUG/memory.usage.percent,10m)>{$MEMORY.UTIL.CRIT}'
            -
              uuid: 46e33f9ea72142feb553bf73936b018b
              expression: 'min(/Template VM VMware Guest - BUG/memory.usage.percent,10m)>{$MEMORY.UTIL.CRIT}'
              name: 'VMware: Very high memory utilization (over {$MEMORY.UTIL.CRIT}% for 10m) on {HOST.NAME}'
              opdata: 'Current utilization: {ITEM.LASTVALUE1}'
              priority: HIGH
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
        -
          uuid: 633f056cf82641399daa7b3b7a7c66c6
          name: 'VMware: Cluster Hypervisor metadata'
          type: SIMPLE
          key: 'vmware.hv.discovery[{$VMWARE.URL}]'
          delay: 1h
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'We need this information so we can extract the UUID of this VM''s Hypervisor to then query said hypervisor''s CPU frequency'
          tags:
            -
              tag: Application
              value: 'VMware Metadata'
        -
          uuid: 18e5684c7ac642cfa28680208cbfb7b7
          name: 'VMware: Hypervisor UUID'
          type: DEPENDENT
          key: vmware.hypervisor.uuid
          delay: '0'
          history: 7d
          trends: '0'
          value_type: TEXT
          description: 'Shaun created this to solve a problem that it didn''t actually solve.  It might come in handy for some future purpose so he is leaving it here.'
          preprocessing:
            -
              type: JAVASCRIPT
              parameters:
                - |
                  var hvMetadata = JSON.parse(value);
                  var uuid = '';
                  // return JSON.stringify(hvMetadata[0]);
                  
                  for (index = 0; index < hvMetadata.length; ++index) {
                    if (hvMetadata[index]['{#HV.NAME}'] == '{$HV.NAME}') {
                      uuid = hvMetadata[index]['{#HV.UUID}'];
                    }
                  }
                  return uuid;
                  
          master_item:
            key: 'vmware.hv.discovery[{$VMWARE.URL}]'
          tags:
            -
              tag: Application
              value: 'VMware Metadata'
        -
          uuid: 1252d8ceb2fa42ba9c075bc8445bd476
          name: 'VMware: Cluster name'
          type: SIMPLE
          key: 'vmware.vm.cluster.name[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Cluster name of the guest VM.'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            -
              tag: Application
              value: 'VMware Hypervisor Info'
        -
          uuid: 151b349078e74d76a225cd66e56005da
          name: 'VMware: Number of virtual CPUs'
          type: SIMPLE
          key: 'vmware.vm.cpu.num[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          history: 7d
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Number of virtual CPUs assigned to the guest.'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware CPU'
        -
          uuid: e48fde8f306b4b8fa5fd0b5075ce1ae9
          name: 'VMware: CPU ready'
          type: SIMPLE
          key: 'vmware.vm.cpu.ready[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: ms
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Time that the virtual machine was ready, but could not get scheduled to run on the physical CPU during last measurement interval (VMware vCenter/ESXi Server performance counter sampling interval - 20 seconds)'
          tags:
            -
              tag: Application
              value: 'VMware CPU'
        -
          uuid: dec7304fa8994014a87fa9f34f9a3607
          name: 'VMware: CPU usage (Hz)'
          type: SIMPLE
          key: 'vmware.vm.cpu.usage[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: Hz
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Current upper-bound on CPU usage. The upper-bound is based on the host the virtual machine is current running on, as well as limits configured on the virtual machine itself or any parent resource pool. Valid while the virtual machine is running.'
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware CPU'
        -
          uuid: 664192b364c94be89d1426d1a05d726b
          name: 'VMware: Datacenter name'
          type: SIMPLE
          key: 'vmware.vm.datacenter.name[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Datacenter name of the guest VM.'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            -
              tag: Application
              value: 'VMware Hypervisor Info'
        -
          uuid: 3b9661ce0e104d5c9ed949fe2fca3a5e
          name: 'VMware: Cluster VM metadata'
          type: SIMPLE
          key: 'vmware.vm.discovery[{$VMWARE.URL}]'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'We need this information so we can extract the UUID of this VM''s Hypervisor to then query said hypervisor''s CPU frequency'
          tags:
            -
              tag: Application
              value: 'VMware Metadata'
        -
          uuid: f0726b77d5ed4d90a4fa724d631ac64b
          name: 'VMware: Hypervisor name'
          type: SIMPLE
          key: 'vmware.vm.hv.name[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Hypervisor name of the guest VM.'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            -
              tag: Application
              value: 'VMware Hypervisor Info'
        -
          uuid: 389c1d5a0d0244dbab185d74c5e898d9
          name: 'VMware: Ballooned memory'
          type: SIMPLE
          key: 'vmware.vm.memory.size.ballooned[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of guest physical memory that is currently reclaimed through the balloon driver.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 90ca683231bf46bab61bb481440ae189
          name: 'VMware: Compressed memory'
          type: SIMPLE
          key: 'vmware.vm.memory.size.compressed[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of memory currently in the compression cache for this VM.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 176c68f48a604c5e82be99485f1ddf61
          name: 'VMware: Private memory'
          type: SIMPLE
          key: 'vmware.vm.memory.size.private[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Amount of memory backed by host memory and not being shared.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 462ae6fed76c474ea16d1f63822247ed
          name: 'VMware: Shared memory'
          type: SIMPLE
          key: 'vmware.vm.memory.size.shared[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of guest physical memory shared through transparent page sharing.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 525974eee5fc4d8aa9ff7cc9dc078aef
          name: 'VMware: Swapped memory'
          type: SIMPLE
          key: 'vmware.vm.memory.size.swapped[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of guest physical memory swapped out to the VM''s swap device by ESX.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: f0858fc24aae4f71878ec4ac51f464df
          name: 'VMware: Guest memory usage'
          type: SIMPLE
          key: 'vmware.vm.memory.size.usage.guest[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of guest physical memory that is being used by the VM.'
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 667f3fee3e464a23b95da1c730557a39
          name: 'VMware: Host memory usage'
          type: SIMPLE
          key: 'vmware.vm.memory.size.usage.host[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The amount of host physical memory allocated to the VM, accounting for saving from memory sharing with other VMs.'
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: dfcf11bd79904c9686961426f51f7540
          name: 'VMware: Memory size'
          type: SIMPLE
          key: 'vmware.vm.memory.size[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Total size of configured memory.'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1d
          tags:
            -
              tag: Application
              value: 'VMware Memory'
        -
          uuid: 38be9ef63fe344b5bfce55e1ca79d326
          name: 'VMware: VM Name'
          type: DEPENDENT
          key: vmware.vm.name
          delay: '0'
          history: 7d
          trends: '0'
          value_type: TEXT
          description: 'Shaun created this to solve a problem that it didn''t actually solve.  It might come in handy for some future purpose so he is leaving it here.'
          inventory_link: NAME
          preprocessing:
            -
              type: JAVASCRIPT
              parameters:
                - 'return ''VMW-{$VM.NAME}'';'
          master_item:
            key: 'vmware.vm.uptime[{$VMWARE.URL},{HOST.HOST}]'
          tags:
            -
              tag: Application
              value: 'VMware Metadata'
        -
          uuid: 30a83568f2af4f01b01eb6b01a4bbb79
          name: 'VMware: CPU usage (%)'
          type: SIMPLE
          key: 'vmware.vm.perfcounter[{$VMWARE.URL},{HOST.HOST},"cpu/usage[average]"]'
          history: 7d
          value_type: FLOAT
          units: '%'
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          tags:
            -
              tag: Application
              value: 'VMware CPU'
        -
          uuid: 159187d0d89e4412951216c8bb543c05
          name: 'VMware: CPU usage (%) (none)'
          type: SIMPLE
          key: 'vmware.vm.perfcounter[{$VMWARE.URL},{HOST.HOST},"cpu/usage[none]"]'
          history: 7d
          value_type: FLOAT
          units: '%'
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          tags:
            -
              tag: Application
              value: 'VMware CPU'
        -
          uuid: 90d28db94ac74113a89541e03f4217a1
          name: 'VMware: Power state'
          type: SIMPLE
          key: 'vmware.vm.powerstate[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'The current power state of the virtual machine.'
          valuemap:
            name: 'VMware VirtualMachinePowerState'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          tags:
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware General'
        -
          uuid: c0249e094e8749b48a342cc9cd1c284d
          name: 'VMware: Committed storage space'
          type: SIMPLE
          key: 'vmware.vm.storage.committed[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Total storage space, in bytes, committed to this virtual machine across all datastores.'
          tags:
            -
              tag: Application
              value: 'VMware Storage'
        -
          uuid: c3db6273b6144046adc14babd3b764b3
          name: 'VMware: Uncommitted storage space'
          type: SIMPLE
          key: 'vmware.vm.storage.uncommitted[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Additional storage space, in bytes, potentially used by this virtual machine on all datastores.'
          tags:
            -
              tag: Application
              value: 'VMware Storage'
        -
          uuid: 3ee4b480f7e04046a5ccec038705cb84
          name: 'VMware: Unshared storage space'
          type: SIMPLE
          key: 'vmware.vm.storage.unshared[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: B
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Total storage space, in bytes, occupied by the virtual machine across all datastores, that is not shared with any other virtual machine.'
          tags:
            -
              tag: Application
              value: 'VMware Storage'
        -
          uuid: a97e665e51234376a3c1f988050efe56
          name: 'VMware: Uptime'
          type: SIMPLE
          key: 'vmware.vm.uptime[{$VMWARE.URL},{HOST.HOST}]'
          history: 7d
          units: uptime
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'System uptime.'
          tags:
            -
              tag: Application
              value: Uptime
            -
              tag: Application
              value: 'VMWare Core Metrics'
            -
              tag: Application
              value: 'VMware General'
          triggers:
            -
              uuid: 4d826fb7d2e04025ba40d787af26b4fd
              expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.uptime[{$VMWARE.URL},{HOST.HOST}])<10m and last(/Template VM VMware Guest - BUG/vmware.vm.uptime[{$VMWARE.URL},{HOST.HOST}])>0'
              name: 'VMware: {HOST.NAME} has been restarted (uptime < 10m)'
              opdata: 'Current uptime: {ITEM.LASTVALUE1}'
              priority: WARNING
              description: |
                Uptime is less than 10 minutes.
                
                This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.
              manual_close: 'YES'
      discovery_rules:
        -
          uuid: b2e1cb33cffa409891151d1d46971a04
          name: 'Network device discovery'
          type: SIMPLE
          key: 'vmware.vm.net.if.discovery[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Discovery of all network devices.'
          item_prototypes:
            -
              uuid: 673b8455352f405cbd69717a98e38ec9
              name: 'VMware: Number of bytes received on interface {#IFDESC}'
              type: SIMPLE
              key: 'vmware.vm.net.if.in[{$VMWARE.URL},{HOST.HOST},{#IFNAME},bps]'
              history: 7d
              units: Bps
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine network interface input statistics (bytes per second).'
            -
              uuid: 7e94af1f9a4c42b6a4b5d7d6be963900
              name: 'VMware: Number of packets received on interface {#IFDESC}'
              type: SIMPLE
              key: 'vmware.vm.net.if.in[{$VMWARE.URL},{HOST.HOST},{#IFNAME},pps]'
              history: 7d
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine network interface input statistics (packets per second).'
            -
              uuid: 6c86dea9091a4a188a175ce71332d46e
              name: 'VMware: Number of bytes transmitted on interface {#IFDESC}'
              type: SIMPLE
              key: 'vmware.vm.net.if.out[{$VMWARE.URL},{HOST.HOST},{#IFNAME},bps]'
              history: 7d
              units: Bps
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine network interface output statistics (bytes per second).'
            -
              uuid: 29aed8ae12284070a4ae37405a7f073d
              name: 'VMware: Number of packets transmitted on interface {#IFDESC}'
              type: SIMPLE
              key: 'vmware.vm.net.if.out[{$VMWARE.URL},{HOST.HOST},{#IFNAME},pps]'
              history: 7d
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine network interface output statistics (packets per second).'
        -
          uuid: 80a99e74d8d54913b99298c1b97c1a3e
          name: 'Disk device discovery'
          type: SIMPLE
          key: 'vmware.vm.vfs.dev.discovery[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Discovery of all disk devices.'
          item_prototypes:
            -
              uuid: 1887e164a50e4a8aae8eb2e0a5833f16
              name: 'VMware: Average number of bytes read from the disk {#DISKDESC}'
              type: SIMPLE
              key: 'vmware.vm.vfs.dev.read[{$VMWARE.URL},{HOST.HOST},{#DISKNAME},bps]'
              history: 7d
              units: Bps
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine disk device read statistics (bytes per second).'
            -
              uuid: b973ccabd19e482db77c54527a3786ed
              name: 'VMware: Average number of reads from the disk {#DISKDESC}'
              type: SIMPLE
              key: 'vmware.vm.vfs.dev.read[{$VMWARE.URL},{HOST.HOST},{#DISKNAME},ops]'
              history: 7d
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine disk device read statistics (operations per second).'
            -
              uuid: c8098fd8379b4fffa12fb728a3294c2a
              name: 'VMware: Average number of bytes written to the disk {#DISKDESC}'
              type: SIMPLE
              key: 'vmware.vm.vfs.dev.write[{$VMWARE.URL},{HOST.HOST},{#DISKNAME},bps]'
              history: 7d
              units: Bps
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine disk device write statistics (bytes per second).'
            -
              uuid: ce6b09e8efc6444ebd4c837807df90cd
              name: 'VMware: Average number of writes to the disk {#DISKDESC}'
              type: SIMPLE
              key: 'vmware.vm.vfs.dev.write[{$VMWARE.URL},{HOST.HOST},{#DISKNAME},ops]'
              history: 7d
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine disk device write statistics (operations per second).'
        -
          uuid: 44251562966649978befa7ac2cd8da5c
          name: 'Mounted filesystem discovery'
          type: SIMPLE
          key: 'vmware.vm.vfs.fs.discovery[{$VMWARE.URL},{HOST.HOST}]'
          delay: 1h
          username: '{$VMWARE.USERNAME}'
          password: '{$VMWARE.PASSWORD}'
          description: 'Discovery of all guest file systems.'
          item_prototypes:
            -
              uuid: 79de36d79a044c9796320c2221cf4dd5
              name: 'VMware: Free disk space on {#FSNAME}'
              type: SIMPLE
              key: 'vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},free]'
              history: 7d
              units: B
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine file system statistics (bytes).'
            -
              uuid: 0123a3cda34e45e59e62948f228baf08
              name: 'VMware: Used disk space on {#FSNAME} (percentage)'
              type: SIMPLE
              key: 'vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused]'
              history: 7d
              value_type: FLOAT
              units: '%'
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine file system statistics (percentages).'
            -
              uuid: e718c4551d5240c2abed633fd5679c26
              name: 'VMware: Total disk space on {#FSNAME}'
              type: SIMPLE
              key: 'vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total]'
              delay: 1h
              history: 7d
              units: B
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine total disk space (bytes).'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED_HEARTBEAT
                  parameters:
                    - 1d
            -
              uuid: 439a6077024c4e419f47a010409ac8c6
              name: 'VMware: Used disk space on {#FSNAME}'
              type: SIMPLE
              key: 'vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]'
              history: 7d
              units: B
              username: '{$VMWARE.USERNAME}'
              password: '{$VMWARE.PASSWORD}'
              description: 'VMware virtual machine used disk space (bytes).'
          trigger_prototypes:
            -
              uuid: 20731174a7d14b9190b6c8009b28a361
              expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.MAJ:"{#FSNAME}"} and ((last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total])-last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]))<10G or timeleft(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused],1h,100)<1d)'
              name: 'VMware: {#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.MAJ:"{#FSNAME}"}%) on {HOST.NAME}'
              opdata: 'Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})'
              priority: AVERAGE
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
              dependencies:
                -
                  name: 'VMware: {#FSNAME}: Disk space is very low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%) on {HOST.NAME}'
                  expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and ((last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total])-last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]))<10G or timeleft(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused],1h,100)<1d)'
            -
              uuid: 27dd81d5ab89463cb08ac7dd8a22c668
              expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and ((last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total])-last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]))<10G or timeleft(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused],1h,100)<1d)'
              name: 'VMware: {#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%) on {HOST.NAME}'
              opdata: 'Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})'
              priority: WARNING
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
              dependencies:
                -
                  name: 'VMware: {#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.MAJ:"{#FSNAME}"}%) on {HOST.NAME}'
                  expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.MAJ:"{#FSNAME}"} and ((last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total])-last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]))<10G or timeleft(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused],1h,100)<1d)'
            -
              uuid: 01e5456723d343b1b374c6f9e9cb7a4c
              expression: 'last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused])>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and ((last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},total])-last(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},used]))<10G or timeleft(/Template VM VMware Guest - BUG/vmware.vm.vfs.fs.size[{$VMWARE.URL},{HOST.HOST},{#FSNAME},pused],1h,100)<1d)'
              name: 'VMware: {#FSNAME}: Disk space is very low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%) on {HOST.NAME}'
              opdata: 'Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})'
              priority: HIGH
              description: 'This trigger is based off information gathered from VMware. If you see a duplicate trigger for the same host, the host may also be monitored by the Zabbix Agent for Windows. Please consider this when investigating.'
      macros:
        -
          macro: '{$CPU.UTIL.CRIT}'
          value: '95'
        -
          macro: '{$CPU.UTIL.MAJ}'
          value: '90'
        -
          macro: '{$MEMORY.UTIL.CRIT}'
          value: '95'
        -
          macro: '{$MEMORY.UTIL.MAJ}'
          value: '90'
        -
          macro: '{$SMTEST}'
          value: fa55a94d-e834-e011-2015-000000000002
        -
          macro: '{$VFS.FS.PUSED.MAX.CRIT}'
          value: '95'
        -
          macro: '{$VFS.FS.PUSED.MAX.MAJ}'
          value: '90'
        -
          macro: '{$VFS.FS.PUSED.MAX.WARN}'
          value: '85'
      valuemaps:
        -
          uuid: f583f1f535514a35ba7fde18bcc0e3c5
          name: 'VMware VirtualMachinePowerState'
          mappings:
            -
              value: '0'
              newvalue: poweredOff
            -
              value: '1'
              newvalue: poweredOn
            -
              value: '2'
              newvalue: suspended
  graphs:
    -
      uuid: 4640125567f14ce8a32315b46c30d4d5
      name: 'Guest CPU Usage'
      graph_items:
        -
          sortorder: '1'
          color: FF0000
          item:
            host: 'Template VM VMware Guest - BUG'
            key: 'vmware.vm.perfcounter[{$VMWARE.URL},{HOST.HOST},"cpu/usage[average]"]'
    -
      uuid: cfb723048cbd44539fddfcbedf08fe25
      name: 'Guest Memory Usage'
      graph_items:
        -
          sortorder: '1'
          color: F63100
          item:
            host: 'Template VM VMware Guest - BUG'
            key: memory.usage.percent
